Math Constants
Math Functions
Collaboration diagram for Math Constants:

## Variables

const | Qore::MAXINT = LLONG_MAX
| largest integer More...
const | Qore::MININT = qore(QoreValue(-LLONG_MAX - 1))
| smallest integer More...
const | Qore::M_PI = 3.14159265358979323846
| PI (floating-point)
const | Qore::M_PIn = qore(pi_number())
| PI (arbitrary-precision numeric) More...

## Detailed Description

Math constants

## Variable Documentation

## M_PIn

const Qore::M_PIn = qore(pi_number())

PI (arbitrary-precision numeric)

Since
  Qore 0.8.6

## MAXINT

const Qore::MAXINT = LLONG_MAX

largest integer

Since
  Qore 0.8.6

## MININT

const Qore::MININT = qore(QoreValue(-LLONG_MAX - 1))

smallest integer

Since
  Qore 0.8.6